<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div id="app">
        <button onclick="vm.openform()">Open Form</button>
        <h1>{{ 'Nilai a : ' + a}}</h1>
        <h1>{{ 'Rata rata : ' + avg}}</h1>
    </div>

    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script>
        var vm = new Vue({
            el: '#app',
            data: {
                a : 0,
                avg : 0
            },
            methods : {
                openform : function(){
                    if (this.a >= 10){
                        alert('Nilai a melebihi 10. Silahkan refresh')
                    } else {
                    var i = 0
                    while(this.a <= 10){
                        var adata = parseInt(prompt('Masukkan nilai a'));
                        this.a += adata;
                        i++
                    }
                    this.avg = this.a / i
                }
                }
            }
        })
    </script>
</body>
</html>